<?php
/**
 * Plugin Name: Form contact
 * Description: A Widget will display your Form contact in your sidebar . 
 * Version: 0.1
 * Author: Melnik	
 * Author URI: http://melnik.xe0.ru
 */

add_action( 'widgets_init', 'myform_contact' );// Загрузка виджета

// Функция регистрации виджета
function myform_contact() {
	register_widget( 'MY_Widget_myform_contact' );
}

//Класс виджета
class MY_Widget_myform_contact extends WP_Widget {
// Установки виджета
	function MY_Widget_myform_contact() {
		$widget_ops = array( 'classname' => 'MY_Widget_myform_contact', 'description' => __('A Widget will display your myform_contact in your sidebar ', 'portfolio') );
		
		$this->WP_Widget( 'myform_contact-widget', __('myform_contact Widget', 'portfolio'), $widget_ops );
	}
// Вывод виджета	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );

		echo $before_widget;
		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;?>
						
<form class="form comments b_contact" id="comment_form">
 <input type="text" id="name" name="name" value="" placeholder="Ваше имя *">
<input type="text" id="email" name="email" value="" placeholder="Ваш email *">
<textarea name="message" id="comment_widget" placeholder="Текст *"></textarea>
<input type="button" class="inp_button" name="btn_send" value="Отправить">
<div class="container_msg"></div>
<input type="hidden" name="contact_email" value="dong.ding98@gmail.com">
</form>			
						
<?
	echo $after_widget;
	}

//Обновление виджета Данная функция получает установки пользователя и сохраняет их.	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		//Strip tags from title and count to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );

		return $instance;
	}

//Здесь пользователь будет определять установки и значения	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Example text (ваш текст)', 'portfolio'), 'portfolio');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

<?//Widget Title: Text Input.?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'portfolio'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

	<?php
	}
}

?>